Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Properties | List of all members
OutputSlot< T > Class Template Reference

Generic class of the output slot More...

Inheritance diagram for OutputSlot< T >:

## Public Member Functions
void | SetValue (T value)
| Set the value More...
Public Member Functions inherited from OutputSlotBase
void | AddBranch (DataBranch branch)
| Addition of DataBranch. More...
| OutputSlotBase ()
| OutputSlotBase constructor More...
bool | RemoveBranch (DataBranch branch)
| Remove DataBranch. More...
bool | RemoveBranchAt (int index)
| Remove DataBranch. More...
DataBranch | GetBranch (int index)
| Get DataBranch. More...
bool | IsConnected (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...
override void | ClearBranch ()
| Clear the connection status. More...
void | AddOutputBranch (DataBranch branch)
| Addition of DataBranch. More...
void | RemoveOutputBranch (DataBranch branch)
| Remove DataBranch. More...
int | GetOutputBranchCount ()
| Get count of DataBranch. More...
DataBranch | GetOutputBranch (int index)
| Get DataBranch. More...
bool | IsConnectedOutput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...

## Properties
override System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from OutputSlotBase
override SlotType | slotType`[get]`
| Slot type More...
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IOutputSlot
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from ISerializeVersionCallbackReceiver
int | newestVersion`[get]`
| newest version More...

## Additional Inherited Members
Public Attributes inherited from OutputSlotBase
List< int > | branchIDs = new List<int>()
| List of the destination branch More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Generic class of the output slot

Template Parameters

  T | Type of data

## Member Function Documentation

## ◆ SetValue()

void SetValue | ( | T | value | ) |

Set the value

Parameters

  value | The value to be set

## Property Documentation

## ◆ dataType

override System.Type dataType
| get

The type of data stored in the slot